# DataExchange
TKXSBase
StepSelect

# StepSelect_StepType Class Reference

StepType is a Signature specific to Step definitions : it
considers the type as defined in STEP Schemas, the same which
is used in files.
For a Complex Type, if its definition is known, StepType
produces the list of basic types, separated by commas, the
whole between brackets : "(TYPE1,TYPE2..)".
If its precise definition is not known (simply it is known as
Complex, it can be recognised, but the list is produced at
Write time only), StepType produces : "(..COMPLEX TYPE..)"
.

`#include <StepSelect_StepType.hxx>`

Inheritance diagram for StepSelect_StepType:

[legend]

## Public Member Functions

Standard_EXPORT | StepSelect_StepType ()
| Creates a Signature for Step Type. Protocol is undefined here, hence no Signature may yet be produced. The StepType signature requires a Protocol before working .
Standard_EXPORT void | SetProtocol (const Handle(Interface_Protocol)&proto)
| Sets the StepType signature to work with a Protocol : this initialises the library .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the Step Type defined from the Protocol (see above). If <ent> is not recognised, produces "..NOT FROM SCHEMA <name>.." .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

StepData_WriterLib | thelib

## Private Attributes

Handle_StepData_Protocol | theproto

## Constructor & Destructor Documentation

Standard_EXPORT StepSelect_StepType::StepSelect_StepType | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepSelect_StepType::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature. Reimplemented in STEPSelections_SelectDerived.

Standard_EXPORT void StepSelect_StepType::SetProtocol | ( | const Handle(Interface_Protocol)& | proto | ) |

Standard_EXPORT Standard_CString StepSelect_StepType::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

## Field Documentation

StepData_WriterLib StepSelect_StepType::thelib `[protected]`

Handle_StepData_Protocol StepSelect_StepType::theproto `[private]`

The documentation for this class was generated from the following file:

- StepSelect_StepType.hxx